      SUBROUTINE CHECKFACEXT(CBID,LBID,IFACEXT)
C
      INCLUDE 'com_coor.f'
      INCLUDE 'com_faces.f'
      INCLUDE 'com_options.f'
      CHARACTER*128 CBID
C
      IF (NOM_FICH(LONG-8:LONG).EQ.'.deformee') THEN
        CBID = NOM_FICH(1:LONG-8)//'facext'
        LBID = LONG-2
      ELSE
        CBID = NOM_FICH(1:LONG-7)//'facext'
        LBID = LONG-1
      ENDIF
      IFACEXT = -1
      CALL datefichier(CBID(1:LBID)//CHAR(0),ID,IRC)
      IF (IELIMI.EQ.0.AND.IRC.EQ.0) THEN
        IF (ID.GE.IDFICH.AND.IDFICH.NE.0) THEN
          CALL PREMIER_LIBRE(IFACEXT)
          OPEN(IFACEXT,FILE=CBID(1:LBID),STATUS='OLD',IOSTAT=IERR)
          IF (IERR.EQ.0) THEN
            IF (ISTDOUT.EQ.0) THEN
              IF (ILANG.EQ.0) THEN
                PRINT*,'On a ouvert '//CBID(1:LBID)//
     &               ' pour aller + vite...'
              ELSE
                PRINT*,'To accelerate, '//CBID(1:LBID)//
     &               ' has been opened...'
              ENDIF
            ENDIF
          ELSE
            IFACEXT = -1
          ENDIF
        ENDIF
      ENDIF
      END
